Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spartacus_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spartacus_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spartacus_lw.F90	(revision 5158)
@@ -313,5 +313,5 @@
 
     ! Main loop over columns
-    do jcol = istartcol, iendcol
+    DO jcol = istartcol, iendcol
       ! --------------------------------------------------------
       ! Section 2: Prepare column-specific variables and arrays
@@ -325,5 +325,5 @@
       ! cloud%crop_cloud_fraction has already been called
       is_clear_sky_layer = .true.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
           is_clear_sky_layer(jlev) = .false.
@@ -336,5 +336,5 @@
       ! In this section the reflectance, transmittance and sources
       ! are computed for each layer
-      do jlev = 1,nlev ! Start at top-of-atmosphere
+      DO jlev = 1,nlev ! Start at top-of-atmosphere
         ! --------------------------------------------------------
         ! Section 3.1: Layer-specific initialization
@@ -395,5 +395,5 @@
             ! approximate order of gas optical depth.
             ng3D = ng
-            do jg = 1, ng
+            DO jg = 1, ng
               if (od_region(jg,1) > config%max_gas_od_3D) then
                 ng3D = jg-1
@@ -488,5 +488,5 @@
               end if
 
-              do jreg = 1, nreg-1
+              DO jreg = 1, nreg-1
                 ! Compute lateral transfer rate from region jreg to
                 ! jreg+1 following Hogan & Shonk (2013) Eq. 47, but
@@ -536,5 +536,5 @@
           ! g-point, mapping from the cloud properties
           ! defined in each band.
-          do jg = 1,ng
+          DO jg = 1,ng
             ! Mapping from g-point to band
             iband = config%i_band_from_reordered_g_lw(jg)
@@ -544,5 +544,5 @@
 
             ! Loop over cloudy regions
-            do jreg = 2,nreg
+            DO jreg = 2,nreg
               ! Add scaled cloud optical depth to clear-sky value
               od_region(jg,jreg) = od_region(jg,1) &
@@ -603,5 +603,5 @@
           ! exponential, then computing the various
           ! transmission/reflectance matrices from that.
-          do jreg = 1,nregActive
+          DO jreg = 1,nregActive
             ! Write the diagonal elements of -Gamma1*z1
             Gamma_z1(1:ng3D,jreg,jreg) &
@@ -628,5 +628,5 @@
             ! non-zeros in the cloudy-sky regions even if the cloud
             ! fraction is zero
-            do jreg = nregActive+1,nreg
+            DO jreg = nregActive+1,nreg
               Gamma_z1(1:ng3D,jreg,jreg) = Gamma_z1(1:ng3D,1,1)
               Gamma_z1(1:ng3D,nreg+jreg,jreg) = Gamma_z1(1:ng3D,nreg+1,1)
@@ -656,5 +656,5 @@
           end if
 
-          do jreg = 1,nregActive-1
+          DO jreg = 1,nregActive-1
             ! Add the terms assocated with 3D transport to Gamma1*z1.
             ! First the rate from region jreg to jreg+1
@@ -775,5 +775,5 @@
           ! formulas for reflectance and transmittance, and equivalent
           ! solutions to the coupled ODEs for the sources.
-          do jreg = 2, nregActive
+          DO jreg = 2, nregActive
             call calc_reflectance_transmittance_lw(ng-ng3D, &
                  &  od_region(ng3D+1:ng,jreg), &
@@ -806,6 +806,6 @@
       ! Calculate the upwelling radiation emitted by the surface, and
       ! copy the surface albedo into total_albedo 
-      do jreg = 1,nreg
-        do jg = 1,ng
+      DO jreg = 1,nreg
+        DO jg = 1,ng
           ! region_fracs(jreg,nlev,jcol) is the fraction of each
           ! region in the lowest model level
@@ -816,5 +816,5 @@
       ! Equivalent surface values for computing clear-sky fluxes 
       if (config%do_clear) then
-        do jg = 1,ng
+        DO jg = 1,ng
           total_source_clear(jg,nlev+1) = emission(jg,jcol)
         end do
@@ -826,5 +826,5 @@
       ! Loop back up through the atmosphere computing the total albedo
       ! and the total upwelling due to emission below each level
-      do jlev = nlev,1,-1
+      DO jlev = nlev,1,-1
         if (config%do_clear) then
           ! Use adding method for clear-sky arrays; note that there
@@ -876,5 +876,5 @@
           total_albedo_below = 0.0_jprb
           total_source_below = 0.0_jprb
-          do jreg = 1,nreg
+          DO jreg = 1,nreg
             inv_denom_scalar(:) = 1.0_jprb / (1.0_jprb &
                  &  - total_albedo(:,jreg,jreg,jlev+1)*reflectance(:,jreg,jreg,jlev))
@@ -918,6 +918,6 @@
             ! essentially diag(total_albedo) = matmul(transpose(v_matrix),
             ! diag(total_albedo_below)).
-            do jreg = 1,nreg
-              do jreg2 = 1,nreg
+            DO jreg = 1,nreg
+              DO jreg2 = 1,nreg
                 total_albedo(:,jreg,jreg,jlev) &
                      &  = total_albedo(:,jreg,jreg,jlev) &
@@ -966,5 +966,5 @@
 
       ! Final loop back down through the atmosphere to compute fluxes
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_clear) then
           ! Scalar operations for clear-sky fluxes
@@ -999,5 +999,5 @@
                &  flux_dn_above) + total_source(:,:,jlev+1)
         else
-          do jreg = 1,nreg
+          DO jreg = 1,nreg
             ! Scalar operations for all regions, requiring that
             ! reflectance, transmittance and total_albedo are diagonal
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spartacus_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spartacus_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spartacus_sw.F90	(revision 5158)
@@ -328,5 +328,5 @@
 
     ! Main loop over columns
-    do jcol = istartcol, iendcol
+    DO jcol = istartcol, iendcol
       ! --------------------------------------------------------
       ! Section 2: Prepare column-specific variables and arrays
@@ -404,5 +404,5 @@
       is_clear_sky_layer = .true.
       i_cloud_top = nlev+1
-      do jlev = nlev,1,-1
+      DO jlev = nlev,1,-1
         if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
           is_clear_sky_layer(jlev) = .false.
@@ -416,5 +416,5 @@
       ! In this section the reflectance, transmittance and sources
       ! are computed for each layer
-      do jlev = 1,nlev ! Start at top-of-atmosphere
+      DO jlev = 1,nlev ! Start at top-of-atmosphere
         ! --------------------------------------------------------
         ! Section 3.1: Layer-specific initialization
@@ -469,5 +469,5 @@
             ! approximate order of gas optical depth.
             ng3D = ng
-            do jg = 1, ng
+            DO jg = 1, ng
               if (od_region(jg,1) > config%max_gas_od_3D) then
                 ng3D = jg-1
@@ -553,5 +553,5 @@
               end if
 
-              do jreg = 1, nreg-1
+              DO jreg = 1, nreg-1
                 ! Compute lateral transfer rates from region jreg to
                 ! jreg+1 following Hogan & Shonk (2013) Eq. 47, but
@@ -615,5 +615,5 @@
           ! g-point, mapping from the cloud properties
           ! defined in each band.
-          do jg = 1,ng
+          DO jg = 1,ng
             ! Mapping from g-point to band
             iband = config%i_band_from_reordered_g_sw(jg)
@@ -629,5 +629,5 @@
 
             ! Loop over cloudy regions
-            do jreg = 2,nreg
+            DO jreg = 2,nreg
               scat_od_cloud = od_cloud(iband,jlev,jcol) &
                    &  * ssa_cloud(iband,jlev,jcol)*od_scaling(jreg,jlev,jcol)
@@ -679,5 +679,5 @@
           ! exponential, then computing the various
           ! transmission/reflectance matrices from that.
-          do jreg = 1,nregactive
+          DO jreg = 1,nregactive
             ! Write the diagonal elements of -Gamma1*z1
             Gamma_z1(1:ng3D,jreg,jreg) &
@@ -701,5 +701,5 @@
           end do
 
-          do jreg = 1,nregactive-1
+          DO jreg = 1,nregactive-1
             ! Write the elements of -Gamma1*z1 concerned with 3D
             ! transport
@@ -820,5 +820,5 @@
           ! Compute reflectance, transmittance and associated terms
           ! for each cloudy region, using the Meador-Weaver formulas
-          do jreg = 2, nregactive
+          DO jreg = 2, nregactive
             call calc_reflectance_transmittance_sw(ng-ng3D, &
                  &  mu0, &
@@ -853,6 +853,6 @@
       ! beam incident on the surface, and copy the surface albedo
       ! into total_albedo
-      do jreg = 1,nreg
-        do jg = 1,ng
+      DO jreg = 1,nreg
+        DO jg = 1,ng
           total_albedo(jg,jreg,jreg,nlev+1) = albedo_diffuse(jg,jcol)
           total_albedo_direct(jg,jreg,jreg,nlev+1) &
@@ -875,5 +875,5 @@
       ! Work back up through the atmosphere computing the total albedo
       ! of the atmosphere below that point using the adding method
-      do jlev = nlev,1,-1
+      DO jlev = nlev,1,-1
 
         ! --------------------------------------------------------
@@ -995,6 +995,6 @@
           ! radiation:
           total_albedo(:,:,:,jlev) = 0.0_jprb
-          do jreg = 1,nreg    ! Target layer (jlev-1)
-            do jreg2 = 1,nreg ! Current layer (jlev)
+          DO jreg = 1,nreg    ! Target layer (jlev-1)
+            DO jreg2 = 1,nreg ! Current layer (jlev)
               total_albedo(:,jreg,jreg,jlev) = total_albedo(:,jreg,jreg,jlev) &
                    &  + sum(total_albedo_below(:,:,jreg2),2) &
@@ -1004,6 +1004,6 @@
           ! ...then direct radiation:
           total_albedo_direct(:,:,:,jlev) = 0.0_jprb
-          do jreg = 1,nreg    ! Target layer (jlev-1)
-            do jreg2 = 1,nreg ! Current layer (jlev)
+          DO jreg = 1,nreg    ! Target layer (jlev-1)
+            DO jreg2 = 1,nreg ! Current layer (jlev)
               total_albedo_direct(:,jreg,jreg,jlev) = total_albedo_direct(:,jreg,jreg,jlev) &
                    &  + sum(total_albedo_below_direct(:,:,jreg2),2) &
@@ -1031,5 +1031,5 @@
           ! First diffuse radiation:
           albedo_part = total_albedo_below
-          do jreg = 1,nreg
+          DO jreg = 1,nreg
             albedo_part(:,jreg,jreg) = 0.0_jprb
           end do
@@ -1040,5 +1040,5 @@
           ! ...then direct radiation:
           albedo_part = total_albedo_below_direct
-          do jreg = 1,nreg
+          DO jreg = 1,nreg
             albedo_part(:,jreg,jreg) = 0.0_jprb
           end do
@@ -1059,6 +1059,6 @@
             ! essentially diag(total_albedo) += matmul(transpose(v_matrix),
             ! diag(total_albedo_below)).
-            do jreg = 1,nreg
-              do jreg2 = 1,nreg
+            DO jreg = 1,nreg
+              DO jreg2 = 1,nreg
                 total_albedo(:,jreg,jreg,jlev) &
                      &  = total_albedo(:,jreg,jreg,jlev) &
@@ -1075,5 +1075,5 @@
             ! "Explicit entrapment"
 
-            do jreg2 = 1,nreg
+            DO jreg2 = 1,nreg
               ! Loop through each region in the lower layer. For one
               ! of the regions in the lower layer, we are imagining it
@@ -1110,5 +1110,5 @@
                      &  / max(config%cloud_fraction_threshold, region_fracs(jreg2,jlev,jcol))
 
-                do jreg = 1, nreg-1
+                DO jreg = 1, nreg-1
                   ! Compute lateral transfer rates from region jreg to
                   ! jreg+1 as before, but without length scale which
@@ -1139,5 +1139,5 @@
               inv_effective_size = min(cloud%inv_cloud_effective_size(jcol,jlev-1), &
                    &                   1.0_jprb/config%min_cloud_effective_size)
-              do jreg = 1,nreg-1
+              DO jreg = 1,nreg-1
                 ! Diffuse transport down and up with one random
                 ! scattering event
@@ -1167,5 +1167,5 @@
               ! trival limit, so we cap the maximum input to expm by
               ! scaling down if necessary
-              do jg = 1,ng
+              DO jg = 1,ng
                 max_entr = -min(entrapment(jg,1,1),entrapment(jg,2,2))
                 if (max_entr > config%max_cloud_od) then
@@ -1197,6 +1197,6 @@
 #ifndef EXPLICIT_EDGE_ENTRAPMENT
               ! Scale to get the contribution to the diffuse albedo
-              do jreg3 = 1,nreg
-                do jreg = 1,nreg
+              DO jreg3 = 1,nreg
+                DO jreg = 1,nreg
                   albedo_part(:,jreg3,jreg) = albedo_part(:,jreg3,jreg) &
                        &  * v_matrix(jreg2,jreg,jlev,jcol) * total_albedo_below(:,jreg2,jreg2)
@@ -1210,11 +1210,11 @@
               albedo_part = 0.0_jprb
               ! Scale to get the contribution to the diffuse albedo
-              do jreg3 = 1,nreg     ! TO upper region
-                do jreg = 1,nreg    ! FROM upper region
+              DO jreg3 = 1,nreg     ! TO upper region
+                DO jreg = 1,nreg    ! FROM upper region
                   transfer_scaling = 1.0_jprb - (1.0_jprb - config%overhang_factor) & 
                        &  * cloud%overlap_param(jcol,jlev-1) &
                        &  * min(region_fracs(jreg,jlev,jcol), region_fracs(jreg,jlev,jcol)) &
                        &  / max(config%cloud_fraction_threshold, region_fracs(jreg,jlev,jcol))
-                  do jreg4 = 1,nreg ! VIA first lower region (jreg2 is second lower region)
+                  DO jreg4 = 1,nreg ! VIA first lower region (jreg2 is second lower region)
                     if (.not. (jreg4 == jreg .and. jreg4 /= jreg2)) then
                       albedo_part(:,jreg3,jreg) = albedo_part(:,jreg3,jreg) + entrapment(:,jreg3,jreg) &
@@ -1236,5 +1236,5 @@
               ! Now do the same for the direct albedo
               entrapment = 0.0_jprb
-              do jreg = 1,nreg-1
+              DO jreg = 1,nreg-1
                 ! Direct transport down and diffuse up with one random
                 ! scattering event
@@ -1264,5 +1264,5 @@
               ! trival limit, so we cap the maximum input to expm by
               ! scaling down if necessary
-              do jg = 1,ng
+              DO jg = 1,ng
                 max_entr = -min(entrapment(jg,1,1),entrapment(jg,2,2))
                 if (max_entr > config%max_cloud_od) then
@@ -1289,6 +1289,6 @@
 
 #ifndef EXPLICIT_EDGE_ENTRAPMENT
-              do jreg3 = 1,nreg
-                do jreg = 1,nreg
+              DO jreg3 = 1,nreg
+                DO jreg = 1,nreg
                   albedo_part(:,jreg3,jreg) = albedo_part(:,jreg3,jreg) &
                        &  * v_matrix(jreg2,jreg,jlev,jcol) * total_albedo_below_direct(:,jreg2,jreg2)
@@ -1298,11 +1298,11 @@
               entrapment = albedo_part
               albedo_part = 0.0_jprb
-              do jreg3 = 1,nreg
-                do jreg = 1,nreg
+              DO jreg3 = 1,nreg
+                DO jreg = 1,nreg
                   transfer_scaling = 1.0_jprb - (1.0_jprb - config%overhang_factor) & 
                        &  * cloud%overlap_param(jcol,jlev-1) &
                        &  * min(region_fracs(jreg,jlev,jcol), region_fracs(jreg,jlev-1,jcol)) &
                        &  / max(config%cloud_fraction_threshold, region_fracs(jreg,jlev,jcol))
-                  do jreg4 = 1,nreg
+                  DO jreg4 = 1,nreg
                     if (.not. (jreg4 == jreg .and. jreg4 /= jreg2)) then
                      albedo_part(:,jreg3,jreg) = albedo_part(:,jreg3,jreg) + entrapment(:,jreg3,jreg) &
@@ -1343,6 +1343,6 @@
           end if
 
-          do jreg = 1,nreg          ! Target layer (jlev-1)
-            do jreg2 = 1,nregactive ! Current layer (jlev)
+          DO jreg = 1,nreg          ! Target layer (jlev-1)
+            DO jreg2 = 1,nregactive ! Current layer (jlev)
               x_direct_above(:,jreg) = x_direct_above(:,jreg) &
                    &  + x_direct(:,jreg2) * v_matrix(jreg2,jreg,jlev,jcol)
@@ -1368,5 +1368,5 @@
       ! Direct downwelling flux (into a plane perpendicular to the
       ! sun) entering the top of each region in the top-most layer
-      do jreg = 1,nreg
+      DO jreg = 1,nreg
         direct_dn_below(:,jreg) = incoming_sw(:,jcol)*region_fracs(jreg,1,jcol)
       end do
@@ -1421,5 +1421,5 @@
 
       ! Final loop back down through the atmosphere to compute fluxes
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
 
 #ifdef PRINT_ENTRAPMENT_DATA
@@ -1675,5 +1675,5 @@
          &                             + tan_diffuse_angle_3d*tan_diffuse_angle_3d) * 0.5_jprb
 
-    do jreg = istartreg,iendreg
+    DO jreg = istartreg,iendreg
       ! Geometric series enhancement due to multiple scattering: the
       ! amplitude enhancement is equal to the limit of
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spectral_definition.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spectral_definition.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_spectral_definition.F90	(revision 5158)
@@ -201,5 +201,5 @@
     else
       find_wavenumber = 1
-      do while (wavenumber > this%wavenumber2(find_wavenumber) &
+      DO while (wavenumber > this%wavenumber2(find_wavenumber) &
            &    .and. find_wavenumber < this%nwav)
         find_wavenumber = find_wavenumber + 1
@@ -284,7 +284,7 @@
       end if
 
-      do jband = 1,this%nband
+      DO jband = 1,this%nband
         weight = 0.0_jprb
-        do jwav = 1,nwav
+        DO jwav = 1,nwav
           ! Work out wavenumber range for which this cloud wavenumber
           ! will be applicable
@@ -321,5 +321,5 @@
             ! Find interpolating points
             iwav = 2
-            do while (wavenumber(iwav) < this%wavenumber2_band(jband))
+            DO while (wavenumber(iwav) < this%wavenumber2_band(jband))
               iwav = iwav+1
             end do
@@ -358,5 +358,5 @@
       mapping = 0.0_jprb
       ! Loop over wavenumbers representing cloud
-      do jwav = 1,nwav
+      DO jwav = 1,nwav
         ! Clear the weights. The weight says for one wavenumber in the
         ! cloud file, what is its fractional contribution to each of
@@ -400,5 +400,5 @@
                  &  / (this%wavenumber2(isd1)-this%wavenumber1(isd1))
             if (isd1-isd0 > 1) then
-              do isd = isd0+1,isd1-1
+              DO isd = isd0+1,isd1-1
                 ! Intermediate trapezia
                 weight(isd) = 0.5_jprb * (this%wavenumber1(isd)+this%wavenumber2(isd) &
@@ -447,5 +447,5 @@
                  &  / (this%wavenumber2(isd1)-this%wavenumber1(isd1))
             if (isd2-isd1 > 1) then
-              do isd = isd1+1,isd2-1
+              DO isd = isd1+1,isd2-1
                 ! Intermediate trapezia
                 weight(isd) = weight(isd) + 0.5_jprb * (2.0_jprb*wavenum2 &
@@ -468,5 +468,5 @@
         weight = weight * planck_weight
 
-        do jg = 1,this%ng
+        DO jg = 1,this%ng
           mapping(jg, jwav) = sum(weight * this%gpoint_fraction(:,jg))
         end do
@@ -478,5 +478,5 @@
 
       ! Normalize mapping matrix
-      do jg = 1,this%ng
+      DO jg = 1,this%ng
         mapping(jg,:) = mapping(jg,:) * (1.0_jprb/sum(mapping(jg,:)))
       end do
@@ -589,5 +589,5 @@
     ! Check wavelength is monotonically increasing
     if (ninterval > 2) then
-      do jint = 2,ninterval-1
+      DO jint = 2,ninterval-1
         if (wavelength_bound(jint) <= wavelength_bound(jint-1)) then
           write(nulerr, '(a)') '*** Error: wavelength bounds must be monotonically increasing'
@@ -609,6 +609,6 @@
       end if
 
-      do jband = 1,this%nband
-        do jint = 1,ninterval
+      DO jband = 1,this%nband
+        DO jint = 1,ninterval
           if (jint == 1) then
             ! First input interval in wavelength space: lower
@@ -692,5 +692,5 @@
       
       ! All bounded intervals
-      do jint = 2,ninterval-1
+      DO jint = 2,ninterval-1
         wavenumber1_bound = 0.01_jprb / wavelength_bound(jint)
         wavenumber2_bound = 0.01_jprb / wavelength_bound(jint-1)
@@ -710,6 +710,6 @@
       end if
 
-      do jg = 1,this%ng
-        do jin = 1,ninput
+      DO jg = 1,this%ng
+        DO jin = 1,ninput
           mapping(jin,jg) = sum(this%gpoint_fraction(:,jg) * planck, &
                &                 mask=(i_input==jin))
@@ -723,7 +723,7 @@
 
       ! Loop through all intervals
-      do jint = 1,ninterval
+      DO jint = 1,ninterval
         ! Loop through the wavenumbers for gpoint_fraction
-        do jwav = 1,this%nwav
+        DO jwav = 1,this%nwav
           if (jint == 1) then
             ! First input interval in wavelength space: lower
@@ -758,5 +758,5 @@
       end do
       if (use_fluxes_local) then
-        do jg = 1,this%ng
+        DO jg = 1,this%ng
           mapping(:,jg) = mapping(:,jg) / sum(this%gpoint_fraction(:,jg) * planck)
         end do
@@ -769,5 +769,5 @@
     if (.not. use_fluxes_local) then
       ! Normalize mapping matrix
-      do jg = 1,size(mapping,dim=2)
+      DO jg = 1,size(mapping,dim=2)
         mapping(:,jg) = mapping(:,jg) * (1.0_jprb/sum(mapping(:,jg)))
       end do
@@ -828,5 +828,5 @@
     is_band_unassigned = .true.
 
-    do jint = 1,ninterval
+    DO jint = 1,ninterval
       inext = minloc(wavelength1, dim=1, mask=is_band_unassigned)
       if (jint > 1) then
@@ -873,8 +873,8 @@
       write(nulout, '(a,i0,a,i0,a)') '  Mapping from ', nin, ' values to ', nout, ' bands (wavenumber ranges in cm-1)'
       if (nout <= 40) then
-        do jout = 1,nout
+        DO jout = 1,nout
           write(nulout,'(i6,a,i6,a)',advance='no') nint(this%wavenumber1_band(jout)), ' to', &
                &                        nint(this%wavenumber2_band(jout)), ':'
-          do jin = 1,nin
+          DO jin = 1,nin
             write(nulout,'(f5.2)',advance='no') mapping(jin,jout)
           end do
@@ -882,8 +882,8 @@
         end do
       else
-        do jout = 1,30
+        DO jout = 1,30
           write(nulout,'(i6,a,i6,a)',advance='no') nint(this%wavenumber1_band(jout)), ' to', &
                &                        nint(this%wavenumber2_band(jout)), ':'
-          do jin = 1,nin
+          DO jin = 1,nin
             write(nulout,'(f5.2)',advance='no') mapping(jin,jout)
           end do
@@ -893,5 +893,5 @@
         write(nulout,'(i6,a,i6,a)',advance='no') nint(this%wavenumber1_band(nout)), ' to', &
              &                        nint(this%wavenumber2_band(nout)), ':'
-        do jin = 1,nin
+        DO jin = 1,nin
           write(nulout,'(f5.2)',advance='no') mapping(jin,nout)
         end do
@@ -901,7 +901,7 @@
       write(nulout, '(a,i0,a,i0,a)') '  Mapping from ', nin, ' values to ', nout, ' g-points'
       if (nout <= 40) then
-        do jout = 1,nout
+        DO jout = 1,nout
           write(nulout,'(i3,a)',advance='no') jout, ':'
-          do jin = 1,nin
+          DO jin = 1,nin
             write(nulout,'(f5.2)',advance='no') mapping(jin,jout)
           end do
@@ -909,7 +909,7 @@
         end do
       else
-        do jout = 1,30
+        DO jout = 1,30
           write(nulout,'(i3,a)',advance='no') jout, ':'
-          do jin = 1,nin
+          DO jin = 1,nin
             write(nulout,'(f5.2)',advance='no') mapping(jin,jout)
           end do
@@ -918,5 +918,5 @@
         write(nulout,'(a)') '  ...'
         write(nulout,'(i3,a)',advance='no') nout, ':'
-        do jin = 1,nin
+        DO jin = 1,nin
           write(nulout,'(f5.2)',advance='no') mapping(jin,nout)
         end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_thermodynamics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_thermodynamics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_thermodynamics.F90	(revision 5158)
@@ -143,6 +143,6 @@
     end if
 
-    do jlev = 1,nlev
-       do jcol = istartcol,iendcol
+    DO jlev = 1,nlev
+       DO jcol = istartcol,iendcol
           pressure = 0.5 * (this%pressure_hl(jcol,jlev)+this%pressure_hl(jcol,jlev+1))
           temperature = 0.5 * (this%temperature_hl(jcol,jlev)+this%temperature_hl(jcol,jlev+1))
@@ -265,5 +265,5 @@
       ! be half the separation between the half-levels at the edge of
       ! the two adjacent layers
-      do jlev = 2,nlev-1
+      DO jlev = 2,nlev-1
         layer_separation(i1:i2,jlev) = (0.5_jprb * R_over_g) * temperature_hl(i1:i2,jlev+1) &
              &                    * log(pressure_hl(i1:i2,jlev+2)/pressure_hl(i1:i2,jlev))
@@ -276,5 +276,5 @@
       ! don't take the logarithm of the last pressure in each column.
 
-      do jlev = 1,nlev-2
+      DO jlev = 1,nlev-2
         layer_separation(i1:i2,jlev) = (0.5_jprb * R_over_g) * temperature_hl(i1:i2,jlev+1) &
              &                    * log(pressure_hl(i1:i2,jlev)/pressure_hl(i1:i2,jlev+2))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_tripleclouds_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_tripleclouds_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_tripleclouds_lw.F90	(revision 5158)
@@ -202,5 +202,5 @@
 
     ! Main loop over columns
-    do jcol = istartcol, iendcol
+    DO jcol = istartcol, iendcol
       ! --------------------------------------------------------
       ! Section 2: Prepare column-specific variables and arrays
@@ -211,5 +211,5 @@
       is_clear_sky_layer = .true.
       i_cloud_top = nlev+1
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
           is_clear_sky_layer(jlev) = .false.
@@ -268,5 +268,5 @@
         ! Save the spectral fluxes if required
         if (config%do_save_spectral_flux) then
-          do jlev = 1,nlev+1
+          DO jlev = 1,nlev+1
             call indexed_sum(flux_up_clear(:,jlev), &
                  &           config%i_spec_from_reordered_g_lw, &
@@ -294,5 +294,5 @@
       end if
 
-      do jlev = i_cloud_top,nlev ! Start at cloud top and work down
+      DO jlev = i_cloud_top,nlev ! Start at cloud top and work down
 
         ! Copy over clear-sky properties
@@ -308,5 +308,5 @@
           source_dn(:,2:,jlev)     = 0.0_jprb
         else
-          do jreg = 2,nreg
+          DO jreg = 2,nreg
             ! Cloudy sky
             ! Add scaled cloud optical depth to clear-sky value
@@ -358,5 +358,5 @@
           end do
           ! Emission is scaled by the size of each region
-          do jreg = 1,nregions
+          DO jreg = 1,nregions
             source_up(:,jreg,jlev) = region_fracs(jreg,jlev,jcol) * source_up(:,jreg,jlev)
             source_dn(:,jreg,jlev) = region_fracs(jreg,jlev,jcol) * source_dn(:,jreg,jlev)
@@ -375,6 +375,6 @@
       ! Calculate the upwelling radiation emitted by the surface, and
       ! copy the surface albedo into total_albedo 
-      do jreg = 1,nregions
-        do jg = 1,ng
+      DO jreg = 1,nregions
+        DO jg = 1,ng
           ! region_fracs(jreg,nlev,jcol) is the fraction of each region in the
           ! lowest model level
@@ -387,5 +387,5 @@
       ! atmosphere and the total upwelling due to emission below each
       ! level below using the adding method
-      do jlev = nlev,i_cloud_top,-1
+      DO jlev = nlev,i_cloud_top,-1
 
         total_albedo_below        = 0.0_jprb
@@ -394,5 +394,5 @@
           total_albedo_below = 0.0_jprb
           total_source_below = 0.0_jprb
-          do jg = 1,ng
+          DO jg = 1,ng
             inv_denom(jg,1) = 1.0_jprb &
                  &  / (1.0_jprb - total_albedo(jg,1,jlev+1)*reflectance(jg,1,jlev))
@@ -428,6 +428,6 @@
           ! the operation we perform is essentially diag(total_albedo)
           ! = matmul(transpose(v_matrix), diag(total_albedo_below)).
-          do jreg = 1,nregions
-            do jreg2 = 1,nregions
+          DO jreg = 1,nregions
+            DO jreg2 = 1,nregions
               total_albedo(:,jreg,jlev) &
                    &  = total_albedo(:,jreg,jlev) &
@@ -445,5 +445,5 @@
       ! Section 6: Copy over downwelling fluxes above cloud top
       ! --------------------------------------------------------
-      do jlev = 1,i_cloud_top
+      DO jlev = 1,i_cloud_top
         if (config%do_clear) then
           ! Clear-sky fluxes have already been averaged: use these
@@ -476,5 +476,5 @@
              &           flux%lw_up_band(:,jcol,i_cloud_top))
       end if
-      do jlev = i_cloud_top-1,1,-1
+      DO jlev = i_cloud_top-1,1,-1
         flux_up(:,1) = trans_clear(:,jlev)*flux_up(:,1) + source_up_clear(:,jlev)
         flux%lw_up(jcol,jlev) = sum(flux_up(:,1))
@@ -494,13 +494,13 @@
       ! scattering layer, using overlap matrix to translate to the
       ! regions of the first layer of cloud
-      do jreg = 1,nregions
+      DO jreg = 1,nregions
         flux_dn(:,jreg)  = v_matrix(jreg,1,i_cloud_top,jcol)*flux_dn_clear(:,i_cloud_top)
       end do
 
       ! Final loop back down through the atmosphere to compute fluxes
-      do jlev = i_cloud_top,nlev
+      DO jlev = i_cloud_top,nlev
 
         if (is_clear_sky_layer(jlev)) then
-          do jg = 1,ng
+          DO jg = 1,ng
             flux_dn(jg,1) = (transmittance(jg,1,jlev)*flux_dn(jg,1) &
                  &  + reflectance(jg,1,jlev)*total_source(jg,1,jlev+1) + source_dn(jg,1,jlev) ) &
